summaryrefslogtreecommitdiffstats
path: root/system/veracrypt
diff options
context:
space:
mode:
Diffstat (limited to 'system/veracrypt')
-rw-r--r--system/veracrypt/README9
-rw-r--r--system/veracrypt/README.slackware6
-rw-r--r--system/veracrypt/doinst.sh3
-rw-r--r--system/veracrypt/slack-desc19
-rw-r--r--system/veracrypt/veracrypt.SlackBuild93
-rw-r--r--system/veracrypt/veracrypt.info10
6 files changed, 140 insertions, 0 deletions
diff --git a/system/veracrypt/README b/system/veracrypt/README
new file mode 100644
index 0000000000..d0536cf652
--- /dev/null
+++ b/system/veracrypt/README
@@ -0,0 +1,9 @@
+veracrypt (free disk encryption software)
+
+VeraCrypt is a free disk encryption software brought to you by IDRIX
+(https://www.idrix.fr) and that is based on TrueCrypt 7.1a.
+
+VeraCrypt adds enhanced security to the algorithms used for system
+and partitions encryption making it immune to new developments
+in brute-force attacks. VeraCrypt also solves many vulnerabilities
+and security issues found in TrueCrypt.
diff --git a/system/veracrypt/README.slackware b/system/veracrypt/README.slackware
new file mode 100644
index 0000000000..28d8745b57
--- /dev/null
+++ b/system/veracrypt/README.slackware
@@ -0,0 +1,6 @@
+There's a bug in wxWidgets (WxGTK3) 3.02 <http://trac.wxwidgets.org/ticket/17253>
+which is causing:
+
+(process:23615): GLib-GObject-CRITICAL **: g_type_class_unref: assertion `g_class != NULL' failed
+
+at the end of the command line output, but everything works.
diff --git a/system/veracrypt/doinst.sh b/system/veracrypt/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/veracrypt/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/veracrypt/slack-desc b/system/veracrypt/slack-desc
new file mode 100644
index 0000000000..d3000f1de7
--- /dev/null
+++ b/system/veracrypt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+veracrypt: veracrypt (free disk encryption software)
+veracrypt:
+veracrypt: VeraCrypt is a free disk encryption software brought to you by IDRIX
+veracrypt: (https://www.idrix.fr) and that is based on TrueCrypt 7.1a.
+veracrypt:
+veracrypt: VeraCrypt adds enhanced security to the algorithms used for system
+veracrypt: and partitions encryption making it immune to new developments
+veracrypt: in brute-force attacks. VeraCrypt also solves many vulnerabilities
+veracrypt: and security issues found in TrueCrypt.
+veracrypt:
+veracrypt: Project homepage: https://veracrypt.codeplex.com/
diff --git a/system/veracrypt/veracrypt.SlackBuild b/system/veracrypt/veracrypt.SlackBuild
new file mode 100644
index 0000000000..b45b61b534
--- /dev/null
+++ b/system/veracrypt/veracrypt.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for VeraCrypt
+
+# Copyright (c) 2016 Thomas Szteliga <ts@websafe.pl>, Opole, PL
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=veracrypt
+VERSION=${VERSION:-1.18a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM=VeraCrypt_1.18_Source.tar.bz2
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/${SRCNAM} -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+make
+cp -av Setup/Linux/usr $PKG
+rm -f $PKG/usr/bin/veracrypt-uninstall.sh
+chmod -x $PKG/usr/share/pixmaps/veracrypt.xpm
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/veracrypt/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/veracrypt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/veracrypt/veracrypt.info b/system/veracrypt/veracrypt.info
new file mode 100644
index 0000000000..2ce341902f
--- /dev/null
+++ b/system/veracrypt/veracrypt.info
@@ -0,0 +1,10 @@
+PRGNAM="veracrypt"
+VERSION="1.18a"
+HOMEPAGE="https://veracrypt.codeplex.com/"
+DOWNLOAD="https://sourceforge.net/projects/slackbuildsdirectlinks/files/veracrypt/VeraCrypt_1.18_Source.tar.bz2"
+MD5SUM="1d335bd88e68dfe68fa0d8ea1307a3cf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxGTK3 makeself"
+MAINTAINER="Thomas Szteliga"
+EMAIL="ts@websafe.pl"